   import java.util.Scanner;
/**
 * Clase que extrae de un archivo de texto strings por linea mientras que estos no esten separados por \t.
 * @author Alejandro Merello - Felipe Diaz
*/
    public class Extractor{
   /** 
   * Constructor.  Inicializa un nuevo Extractor.  
   * @param s scanner .
   */
       public Extractor(Scanner s){
         this.s = s;
      }
   /** Metodo para conocer si quedan nombres dentro del archivo de texto.  
   * @return boolean true si aun quedan nombres, false si no.
   */  
       public boolean quedanNombres(){
         return s.hasNextLine();
      }
      
   /** Metodo para tomar 1 linea del archivo de texto, o bien separarla si existen \t de por medio.  
   * @return string con el nombre recuperado.
   */ 	
       public String  getName(){
         String delimitador="[\t\n]";
         String linea,name;
         if (!quedanNombres()) 
            return null; //Si no quedan nombres, salir
         linea = s.nextLine();
         Scanner l = (new Scanner(linea)).useDelimiter(delimitador);
         name = l.next();
         return name;
      }
      private Scanner s;
   }
